System.Design 2.0.0.0 System.ComponentModel.Design.Serialization.ComponentSerializationService

The class serializes a set of components or serializable objects into a serialization store. The store can then be deserialized at a later time. The class differs from other serialization schemes in that the serialization format is opaque, and it allows for partial serialization of objects. For example, you can choose to serialize only selected properties for an object.

The base class, , replaces the interface from the .NET Framework version 1.0, although the latter is retained for backward compatibility. The class does not implement the interface, but if you query for , the provides a bridge implementation to ensure backward compatibility.

Serializes a set of components into a serialization store.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class using the given service provider to resolve services.

  An to use for resolving services.
- Method
  2.0.0.0
  System.ComponentModel.Design.Serialization.SerializationStore

  The serialization store can be passed to any of the methods to build up serialization state for a group of objects.

  Creates a new .

  A new serialization store.

- Method
  2.0.0.0
  System.Collections.ICollection `` To be added.

  Deserializes the given store to produce a collection of objects.

  A collection of deserialized components.

  The from which objects will be deserialized.
- Method
  2.0.0.0
  System.Collections.ICollection `` ``

  Created objects that implement the interface will be added to the parameter.

  Deserializes the given store and populates the given with deserialized objects.

  A collection of deserialized components.

  The from which objects will be deserialized. A container to which objects will be added.
- Method
  2.0.0.0
  System.Void `` `` `` ``

  The method deserializes the given store, but rather than producing new objects, the data in the store is applied to an existing set of objects that are taken from the parameter. As a result, the caller can create in advance an object however it sees fit. If an object has deserialization state and the object is not named in the set of existing objects, a new object will be created. If that object also implements , it will be added to the given container. Objects in the container must have names and types that match objects in the serialization store in order for an existing object to be used.

  Deserializes the given to the given container, optionally applying default property values.

  The from which the objects will be deserialized. A container of objects to which data will be applied. true to validate the recycled type; otherwise, false. true to apply default property values; otherwise, false.
- Method
  2.0.0.0
  System.ComponentModel.Design.Serialization.SerializationStore ``

  You can use the returned store to deserialize objects by passing it to the various methods.

  Loads a from the given stream.

  The loaded .

  The stream from which to load the .
- Method
  2.0.0.0
  System.Void `` ``

  The parameter can be used to serialize more than one object by calling this method once for each object.

  Serializes the given object to the given .

  The to which will be serialized. The object to serialize.
- Method
  2.0.0.0
  System.Void `` ``

  The store can be used to serialize more than one object by calling this method more than once.

  Serializes the given object, accounting for default property values.

  The to which will be serialized. The object to serialize.
- Method
  2.0.0.0
  System.Void `` `` ``

  This method can be invoked multiple times for the same object to build up a list of serialized members within the serialization store. The member generally has to be a property or an event.

  Serializes the given member on the given object.

  The to which will be serialized. The object that owns the . The given member.
- Method
  2.0.0.0
  System.Void `` `` ``

  For some members, containing the default property value and setting the same value back to the member are different concepts. For example, if a property inherits its value from a parent object if no local value is set, setting the value back to the property may not be what is desired. The method takes this into account and would clear the state of the property in this case.

  Serializes the given member on the given object, but also serializes the member if it contains the default property value.

  The to which will be serialized. The object that owns the . The given member.